require 'csv'

module CzechName
  class Database
    attr_reader :database

    def initialize(database_path)
      @database = CSV.open(database_path).to_a.to_h
    end

    def include?(name)
      database.key?(name)
    end

    def fifth_case(name)
      database[name]
    end
    alias_method :vocative, :fifth_case
  end
end
