require 'czech_name/version'

module CzechName
  autoload :NameFactory, 'czech_name/name_factory'
  autoload :MaleName,   'czech_name/male_name'
  autoload :FemaleName, 'czech_name/female_name'
  autoload :Database, 'czech_name/database'

  autoload :Configuration, 'czech_name/configuration'

  def self.detect(name)
    NameFactory.new(name).create
  end

  def self.fifth_case(name)
    name = NameFactory.new(name).create
    name && name.fifth_case
  end
end
